import { ChannelServiceHandlerBase } from './channelServiceHandlerBase';
import { AuthenticationConfiguration, ClaimsIdentity, ICredentialProvider } from 'botframework-connector';
/**
 * @deprecated Use `CloudChannelServiceHandler` instead.
 * The ChannelServiceHandler implements API to forward activity to a skill and
 * implements routing ChannelAPI calls from the Skill up through the bot/adapter.
 */
export declare class ChannelServiceHandler extends ChannelServiceHandlerBase {
    private readonly credentialProvider;
    private readonly authConfig;
    protected readonly channelService: string;
    /**
     * Initializes a new instance of the ChannelServiceHandler class, using a credential provider.
     *
     * @param credentialProvider The credential provider.
     * @param authConfig The authentication configuration.
     * @param channelService A string representing the channel provider.
     */
    constructor(credentialProvider: ICredentialProvider, authConfig: AuthenticationConfiguration, channelService?: string);
    protected authenticate(authHeader: string): Promise<ClaimsIdentity>;
}
//# sourceMappingURL=channelServiceHandler.d.ts.map
