/**
 * @module botbuilder
 */
/**
 * Copyright (c) Microsoft Corporation. All rights reserved.
 * Licensed under the MIT License.
 */
import { BotFrameworkAdapter } from '../botFrameworkAdapter';
import { Activity, TurnContext } from 'botbuilder-core';
/**
 * Looks for OAuthCards in Activity attachments and takes action on them
 */
export declare class TokenResolver {
    private static readonly PollingIntervalMs;
    /**
     * Checks if we have token responses from OAuth cards.
     *
     * @param adapter The [BotFrameworkAdapter](xref:botbuilder.BotFrameworkAdapter).
     * @param context The [TurnContext](xref:botbuilder-core.TurnContext) for this turn.
     * @param activity The [Activity](xref:botframework-schema.Activity) to be checked.
     * @param log Optional. The log to write on.
     */
    static checkForOAuthCards(adapter: BotFrameworkAdapter, context: TurnContext, activity: Activity, log?: string[]): void;
    /**
     * @private
     */
    private static pollForToken;
    private static createTokenResponseActivity;
}
//# sourceMappingURL=tokenResolver.d.ts.map
