"use strict";
// Copyright (c) Microsoft Corporation.
// Licensed under the MIT License.
Object.defineProperty(exports, "__esModule", { value: true });
exports.ResponseT = void 0;
/**
 * Represents a Node.js HTTP Response, including the minimal set of use properties and methods.
 * Compatible with Restify, Express, and Node.js core http.
 */
const z = require("zod");
exports.ResponseT = z.custom((val) => typeof val.end === 'function' &&
    typeof val.header === 'function' &&
    typeof val.send === 'function' &&
    typeof val.status === 'function', {
    message: 'Response',
});
//# sourceMappingURL=response.js.map