"use strict";
/**
 * @module botbuilder
 */
/**
 * Copyright (c) Microsoft Corporation. All rights reserved.
 * Licensed under the MIT License.
 */
Object.defineProperty(exports, "__esModule", { value: true });
exports.RouteConstants = void 0;
/**
 * Constants representing the API path that immediately follows the basePath.
 * These are currently internal but we will re-evaluate making them public, in the future.
 *
 * @example
 * RouteConstants.Activities = '/v3/conversations/:conversationId/activities'.
 */
class RouteConstants {
}
exports.RouteConstants = RouteConstants;
/**
 * Base API path for bot conversations.
 */
RouteConstants.Conversations = '/v3/conversations';
/**
 * API path for conversation history.
 */
RouteConstants.ConversationHistory = '/v3/conversations/:conversationId/activities/history';
/**
 * API path for all conversation members.
 */
RouteConstants.ConversationMembers = '/v3/conversations/:conversationId/members';
/**
 * API path for page(s) of all conversation members.
 */
RouteConstants.ConversationPagedMembers = '/v3/conversations/:conversationId/pagedmembers';
/**
 * API path for single conversation member.
 */
RouteConstants.ConversationMember = '/v3/conversations/:conversationId/members/:memberId';
/**
 * API path for conversation attachments.
 */
RouteConstants.Attachments = '/v3/conversations/:conversationId/attachments';
/**
 * API path for all activities from conversation.
 */
RouteConstants.Activities = '/v3/conversations/:conversationId/activities';
/**
 * API path for single activity from conversation.
 */
RouteConstants.Activity = '/v3/conversations/:conversationId/activities/:activityId';
/**
 * API path for all members from activity from conversation.
 */
RouteConstants.ActivityMembers = '/v3/conversations/:conversationId/activities/:activityId/members';
//# sourceMappingURL=routeConstants.js.map